%define	version	1.0.1
%define release	1mdk

%define major	2
%define libname %mklibname pcd

Summary:	Library for decoding PhotoCD images
Name:		libpcd
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://bytesex.org/libpcd.html
# http://bytesex.org/misc/%{name}_%{version}.tar.gz
Source:		%{name}_%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.


%package	-n %{libname}%{major}
Summary:	Library for decoding PhotoCD images
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

%package	-n %{libname}%{major}-devel
Summary:	Development related files of %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}

%description	-n %{libname}%{major}-devel
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

This package contains all files you need to compile applications/libraries
that has Photo CD image support.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc pcd.css pcd.html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a

%changelog
* Tue Dec 02 2003 Abel Cheung <deaddog@deaddog.org> 1.0.1-1mdk
- First Mandrake package
